Bug 253192 - [PATCH] Current kernels don't have /proc/net/ip_conntrack (needs changing to nf_conntrack in plugins)
[PATCH] Current kernels don't have /proc/net/ip_conntrack (needs changing to ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 08:12 EDT by n0dalus
Modified: 2007-12-13 00:50 EST (History)
0 users

See Also:
Fixed In Version: munin-1.2.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 00:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to munin plugins to use nf_conntrack when ip_conntrack unavailable (2.69 KB, patch)
2007-08-17 08:12 EDT, n0dalus
no flags Details | Diff

  None (edit)
Description n0dalus 2007-08-17 08:12:53 EDT
Description of problem:

Recent kernels have renamed /proc/net/ip_conntrack to /proc/net/nf_conntrack. In
addition, the permissions no longer seem to allow any user to read it. This
effects the fw_conntrack and fw_forwarded_local plugins.

Version-Release number of selected component (if applicable):
munin-node-1.2.5-2.fc7

Additional info:
Attaching patch to fix both of these. Ideally it should be sent upstream, but I
will leave that up to the package maintainer.

Also, a file should be created at /etc/munin/plugin-conf.d/nf_conntrack with:
[fw_forwarded_local]
user root

[fw_conntrack]
user root
Comment 1 n0dalus 2007-08-17 08:12:54 EDT
Created attachment 161731 [details]
Patch to munin plugins to use nf_conntrack when ip_conntrack unavailable
Comment 2 Kevin Fenzi 2007-08-17 15:09:30 EDT
Hurray for not breaking user interfaces in the kernel. ;( 

Thanks for the report and the patch. Will see about getting this updated this
weekend. 
Comment 3 Kevin Fenzi 2007-12-01 12:05:04 EST
I've _finally_ updated munin in devel with a version of this patch. 

If everything looks ok in devel for a few days I will update F7 and F8 and close
this. Thanks for the bug report and patch!
Comment 4 Fedora Update System 2007-12-06 12:40:49 EST
munin-1.2.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'
Comment 5 Fedora Update System 2007-12-06 15:54:18 EST
munin-1.2.5-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'
Comment 6 Fedora Update System 2007-12-12 14:52:46 EST
munin-1.2.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-12-12 14:54:01 EST
munin-1.2.5-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.